package com.m2pool.common.core.enums;

public enum UserRole {
    ADMIN(1, "admin", "管理员"),
    REGISTERED(2, "registered", "注册用户"),
    ADVANCE(3, "advance", "付费用户"),
    VIP(4, "vip", "vip"),
    SUPPORT(5, "support", "支持人员"),
    VERIFIER(6, "verifier", "审核人员"),
    ACCOUNTTING(7, "accounting", "财务");

    private final int roleId;
    private final String role;
    private final String des;

    UserRole(int roleId, String role, String des)
    {
        this.roleId = roleId;
        this.role = role;
        this.des = des;
    }

    public int getRoleId()
    {
        return roleId;
    }

    public String getRole()
    {
        return role;
    }

    public String getDes(){return des;}
}
